
//选择机构类型
function sel(e){
	var t = $(e).attr("code");//机构类型
	$("#orgtype").val(t);
	if(t=="01"){
		$("#orgNameType").html("直付医院：");
	}else if(t=="02"){
		$("#orgNameType").html("TPA：");
	}
}

//查询
function queryPreBill(){
	var partnerType = $("#orgtype").val();
	var partnerName = $("#orgname").val();
	var billNo = $("#billNo").val();
	var batchNo = $("#batchNo").val();
	
	//把查询条件放入隐藏域，用于翻页返回后台查询
	$("#htype").val(partnerType);
	$("#hname").val(partnerName);
	$("#hbillno").val(billNo);
	$("#hbatchno").val(batchNo);
	
	//判断是否录入一个查询条件
	var a = false;
	var b = false;
	var c = false;
	var d = false;
	if(partnerType!=null&&partnerType!=""&&partnerType!=undefined){
		a = true;
	}
	if(partnerName!=null&&partnerName!=""&&partnerName!=undefined){
		b = true;
	}
	if(billNo!=null&&billNo!=""&&billNo!=undefined){
		c = true;
	}
	if(batchNo!=null&&batchNo!=""&&batchNo!=undefined){
		d = true;
	}
	
	if(a||b||c||d){
		SkipByPost("queryPreBill.do",{partnerType:partnerType,partnerName:partnerName,billNo:billNo,batchNo:batchNo,pageNo:1});
	}else{
		alert("请输入一个查询条件");
	}
	
}
//获取隐藏域的值
//function getHiddenValues(){
//	
//}


//翻页
function cur_skip(e){
	var partnerType = $("#htype").val();
	var partnerName = $("#hname").val();
	var billNo = $("#hbillno").val();
	var batchNo = $("#hbatchno").val();
	
	var pn = $(e).find("span").html();
	SkipByPost("queryPreBill.do",{partnerType:partnerType,partnerName:partnerName,billNo:billNo,batchNo:batchNo,pageNo:pn});
	$(".turn_cur").removeAttr("class");
	$(e).find("span").attr("class","turn_cur");
}

//前一页
function pre(e){
	var partnerType = $("#htype").val();
	var partnerName = $("#hname").val();
	var billNo = $("#hbillno").val();
	var batchNo = $("#hbatchno").val();
	
	var cur = $("#nav").find(".turn_cur").html();
	if(cur>1){
	var pre = Number(cur)-Number(1);
	SkipByPost("queryPreBill.do",{partnerType:partnerType,partnerName:partnerName,billNo:billNo,batchNo:batchNo,pageNo:pre});
	}else{
		return false;
	}
}
//下一页
function next(e){
	var partnerType = $("#htype").val();
	var partnerName = $("#hname").val();
	var billNo = $("#hbillno").val();
	var batchNo = $("#hbatchno").val();
	
	var cur = $("#nav").find(".turn_cur").html();
	var next = Number(cur)+Number(1);
	var maxPage = $("#max").val();
	if(parseInt(cur)<parseInt(maxPage)){
		SkipByPost("queryPreBill.do",{partnerType:partnerType,partnerName:partnerName,billNo:billNo,batchNo:batchNo,pageNo:next});
	}else{
		SkipByPost("queryPreBill.do",{partnerType:partnerType,partnerName:partnerName,billNo:billNo,batchNo:batchNo,pageNo:1});
	}
	
	
}
//跳转至
function custom(){
	var partnerType = $("#htype").val();
	var partnerName = $("#hname").val();
	var billNo = $("#hbillno").val();
	var batchNo = $("#hbatchno").val();
	
	var pn = $.trim($("#turn_inp").val());
	if (pn == "") return;
	SkipByPost("queryPreBill.do",{partnerType:partnerType,partnerName:partnerName,billNo:billNo,batchNo:batchNo,pageNo:pn});
}

//
function exportExcel(){
	var partnerType = $("#htype").val();
	var partnerName = $("#hname").val();
	var billNo = $("#hbillno").val();
	var batchNo = $("#hbatchno").val();
	
	var cur = $("#nav").find(".turn_cur").html();
	SkipByPost("exportExcelAction.do",{partnerType:partnerType,partnerName:partnerName,billNo:billNo,batchNo:batchNo,pageNo:cur});
}
